.bar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  min-height: 4rem;
  width: 600px;
  margin: 0;
  padding: 0.6rem 1rem;
  overflow: hidden;
  opacity: 1;
  transition: all 0.4s ease-in;
}

.bar.loading {
  opacity: 0.5;
  pointer-events: none;
}

.providers {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  width: 320px;
  overflow: hidden;
  transition: all 0.6s ease-in;
  transition-delay: 1s;
}

.providers.loading {
  width: 0px;
}

.button.disabled:hover,
.button.linked:hover {
  background-color: transparent;
  box-shadow: none;
  cursor: default;
}

.button.spinner svg {
  animation: animSpinner 2s linear infinite;
}

@keyframes animSpinner {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}
